#!/bin/sh
DAEMON=/usr/bin/ifplugd
NAME=ifplugd
DESC="Busybox ifplugd Server"
ARGS=" -i eth0  -M -I -r /etc/ifplugd.sh"

test -f $DAEMON || exit 1

set -e

case "$1" in
    start)
        echo -n "starting $DESC: $NAME... "
	/sbin/start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
	echo "done."
	;;
    stop)
        echo -n "stopping $DESC: $NAME... "
	/sbin/start-stop-daemon -K -n $NAME
	echo "done."
	;;
    restart)
        echo "restarting $DESC: $NAME... "
 	$0 stop
	$0 start
	echo "done."
	;;
    reload)
    	echo -n "reloading $DESC: $NAME... "
    	killall -HUP $(basename ${DAEMON})
	echo "done."
	;;
    *)
	echo "Usage: $0 {start|stop|restart|reload}"
	exit 1
	;;
esac

exit 0
